package com.zfire.jiasm.syncdata.download.other.install;

import lombok.extern.slf4j.Slf4j;

/** 未上线 新做的接口
 * 查询质量信息反馈列表
 * 家用特殊安装查询
 */
@Slf4j
// @Component
public class QueryDataDown {
    /*
    @Resource
    TableDataQueryTimeService tableDataQueryTimeService;
    @Resource
    OtherDownService otherDownService;

    private SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");



    @Scheduled(fixedDelayString = "${jytsazxzt}")
    public void query(){

        // 提取需要同步下载的数据
        List<TableDataQueryTime> tdqts = tableDataQueryTimeService.lambdaQuery()
                .lt(TableDataQueryTime::getType,3)
                .lt(TableDataQueryTime::getSynStatus,0)
                .eq(TableDataQueryTime::getNeedDown,1)
                .list();
        log.info("开始查询下载: \uF0B7{}",sdf.format(new Date()));

        for (TableDataQueryTime item:tdqts){
            try{
                // 查询质量信息反馈列表
                if (item.getTabName().equals("quality_feedback_head_download")){
                    otherDownService.dealWithTableDataQueryTime(item);
                }
                // 广佛等销司查询通知列表
                if (item.getTabName().equals("notification_download")){
                    otherDownService.notificationQueryDown(item);
                }
                // 家用特殊安装工单查询  跨区安装申请  这里为全量获取，对系统开支太大
                if (item.getTabName().equals("tbl_azwgmx_kqaz_download")){
                    otherDownService.specialInstallQueryDown(item);
                }
                // 家用特殊安装工单查询  非现场获取开机密码
                if (item.getTabName().equals("tbl_azwgmx_kjmm_download")){
                    otherDownService.tblAzwgmxKjmmQueryDown(item);
                }
                // 家用特殊安装工单查询  非现场采集数据
                if (item.getTabName().equals("tbl_azwgmx_kqcjsj_download")){
                    otherDownService.tblAzwgmxKqcjsjQueryDown(item);
                }
            } catch (Exception ex) {
                ex.printStackTrace();
                log.info("查询【" + item.getTabName() +"】表数据失败");
            }
        }
        log.info("开始查询下载结束: \uF0B7{}",sdf.format(new Date()));
    }
    */
}
